import axios from '../../lib/axios'

const headers = {
	headers: { 'Content-Type': 'multipart/form-data' },
}

export const UserList = async (data) => {
	const response = await axios.post('user/list', data, headers)
	return response.data
}

export const UserGetOne = async (data) => {
	const response = await axios.post('user/get', data, headers)
	return response.data
}

export const UserUpdate = async (data) => {
	const response = await axios.post('user/update', data, headers)
	return response.data
}

export const UserCreate = async (data) => {
	const response = await axios.post('user/create', data, headers)
	return response.data
}

export const UserDelete = async (data) => {
	const response = await axios.post('user/delete', data, headers)
	return response.data
}
